if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/share/jollygood/jgrf ; rm -rf jollygood1024.png )
( cd usr/share/jollygood/jgrf ; ln -sf ../../icons/hicolor/1024x1024/apps/jollygood.png jollygood1024.png )
( cd usr/share/jollygood/jgrf ; rm -rf jollygood96.png )
( cd usr/share/jollygood/jgrf ; ln -sf ../../icons/hicolor/96x96/apps/jollygood.png jollygood96.png )
( cd usr/share/pixmaps ; rm -rf jollygood.png )
( cd usr/share/pixmaps ; ln -sf ../icons/hicolor/48x48/apps/jollygood.png jollygood.png )
